Package tigase.xmpp.impl.roster

# Class RosterAbstract.RosterModifiedEvent

java.lang.Object
tigase.server.xmppsession.UserSessionEvent
tigase.server.xmppsession.UserSessionEventWithProcessorResultWriter
tigase.xmpp.impl.roster.RosterAbstract.RosterModifiedEvent

All Implemented Interfaces:
  `Serializable`, `EventBusEvent`

Enclosing class:
  RosterAbstract

public static class RosterAbstract.RosterModifiedEvent extends UserSessionEventWithProcessorResultWriter

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RosterModifiedEvent()`
  `RosterModifiedEvent(JID sender, JID userJid, XMPPSession session, RosterElement rosterElement)`
  Deprecated.
  `RosterModifiedEvent(JID sender, JID userJid, XMPPSession session, JID jid, RosterAbstract.SubscriptionType subscription)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `getGroups()`
  `JID`
  `getJid()`
  Deprecated.
  `String`
  `getMixParticipantId()`
  `String`
  `getName()`
  `RosterAbstract.SubscriptionType`
  `getSubscription()`

  ### Methods inherited from class tigase.server.xmppsession.UserSessionEventWithProcessorResultWriter

  `getPacketWriter, setPacketWriter`

  ### Methods inherited from class tigase.server.xmppsession.UserSessionEvent

  `getSender, getSession, getUserJid, setSession`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RosterModifiedEvent

    public RosterModifiedEvent()

  - ### RosterModifiedEvent

    @Deprecated public RosterModifiedEvent(JID sender, JID userJid, XMPPSession session, RosterElement rosterElement)
    Deprecated.

  - ### RosterModifiedEvent

    @Deprecated public RosterModifiedEvent(JID sender, JID userJid, XMPPSession session, JID jid, RosterAbstract.SubscriptionType subscription)
    Deprecated.

- ## Method Details

  - ### getJid

    @Deprecated public JID getJid()
    Deprecated.

  - ### getName

    public String getName()

  - ### getSubscription

    public RosterAbstract.SubscriptionType getSubscription()

  - ### getGroups

    public String[] getGroups()

  - ### getMixParticipantId

    public String getMixParticipantId()